Bug 162988 - port bug: math/octave fails to link libumfpack
port bug: math/octave fails to link libumfpack
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Maho Nakata
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 04:40 UTC by jwbacon
Modified: 2013-04-09 02:48 UTC (History)
0 users

See Also:


Attachments
file.diff (412 bytes, patch)
2011-12-01 04:40 UTC, jwbacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jwbacon 2011-12-01 04:40:09 UTC
The octave configure script fails to link the test case for libumfpack and therefore does not include libumfpack in the build.

Fix: See attached diff for a quick fix.

Patch attached with submission follows:
How-To-Repeat: Run "make configure" and examine config.log.

or

Download matpower 4.0 and try running runpf('case9').  It fails, claiming that umfpack is not installed, although it is there as part of suitesparse.
Comment 1 Edwin Groothuis freebsd_committer 2011-12-01 04:40:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2011-12-05 11:36:57 UTC
maho        2011-12-05 11:36:44 UTC

  FreeBSD ports repository

  Modified files:
    math/octave          Makefile 
  Log:
  Fix link against libumfpack.
  Bump port revision.
  
  PR:             162988
  Submitted by:   Jason Bacon <jwbacon@tds.net>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.136     +2 -0      ports/math/octave/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Maho Nakata freebsd_committer 2013-04-09 02:48:16 UTC
State Changed
From-To: open->closed

Now we can safely close...